#!/bin/sh

# System
cmd="${1}"
pkgpath="${2}"
new_package="${3}" # It's new installation package path, we need handle upgrade processing to this path if support upgrade feature

get_vadp_ver()
{
    echo "$("${confclient}" -g vadp_version -p 99 -t Value | sed 's/\.//g')"
}

confclient=$(which confclient)
[ "$?" != 0 ] && exit 1

vadp_ver=$(get_vadp_ver)

if [ "${vadp_ver}" -lt 1350 ]; then
    mainScript="${pkgpath}/main.sh"
    "${mainScript}" "${cmd}" "${pkgpath}" "${new_package}"
else
    microPython="${pkgpath}/bin/micropython"
    mainScript="${pkgpath}/main.py"
    "${microPython}" "${mainScript}" "${cmd}" "${pkgpath}" "${new_package}"
fi

exit 0
